@echo off

:: Batch file for Windows Stata that waits until the job is done
:: If there is a Stata error, an exit code of 1 is returned.
:: Correct exit-code behavior requires that the last statement
:: in the input .do file be:
::
::     log using stata_check.smcl
::
:: The drive, path, executable name may need to be changed in the
:: line below, depending on your installation.

set STATA="c:\Program Files\Stata10\wstata.exe"

if exist stata_check.smcl del stata_check.smcl

start "dummy title" /w %STATA% /q /e do %1

if not exist stata_check.smcl (
    echo There was an error - see %~dpn1.log for details
    exit /b 1
)

del stata_check.smcl

exit /b 0 
